Linux jobworks 6.8.0-136-generic #136-Ubuntu SMP PREEMPT_DYNAMIC Wed Jul 1 21:53:05 UTC 2026 x86_64
Apache/2.4.58 (Ubuntu)
Server IP : 10.0.1.5 & Your IP : 216.73.217.52
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
share /
initramfs-tools /
hooks /
Delete
Unzip
Name
Size
Permission
Date
Action
amd64_microcode
3.77
KB
-rwxr-xr-x
2026-06-23 13:53
bcache
543
B
-rwxr-xr-x
2024-04-08 15:54
btrfs
701
B
-rwxr-xr-x
2024-03-31 08:43
cloud-initramfs-dyn-netconf
118
B
-rwxr-xr-x
2025-08-05 17:14
console_setup
3.07
KB
-rwxr-xr-x
2024-02-26 12:58
copymods
280
B
-rwxr-xr-x
2025-08-05 17:14
cryptgnupg
958
B
-rwxr-xr-x
2024-06-05 13:46
cryptgnupg-sc
2.4
KB
-rwxr-xr-x
2024-06-05 13:46
cryptkeyctl
457
B
-rwxr-xr-x
2024-06-05 13:46
cryptopensc
1.48
KB
-rwxr-xr-x
2024-06-05 13:46
cryptpassdev
888
B
-rwxr-xr-x
2024-06-05 13:46
cryptroot
15.63
KB
-rwxr-xr-x
2024-07-01 18:37
cryptroot-unlock
1010
B
-rwxr-xr-x
2024-06-05 13:46
dhcpcd
1.3
KB
-rwxr-xr-x
2025-02-07 09:55
dmsetup
506
B
-rwxr-xr-x
2024-06-05 11:14
fixrtc
436
B
-rwxr-xr-x
2025-02-07 09:55
framebuffer
386
B
-rwxr-xr-x
2025-02-07 09:55
fsck
2.06
KB
-rwxr-xr-x
2025-02-07 10:26
fuse
231
B
-rwxr-xr-x
2024-04-08 15:57
intel_microcode
4.73
KB
-rwxr-xr-x
2026-02-27 13:55
iscsi
672
B
-rwxr-xr-x
2025-06-04 12:20
kbd
301
B
-rwxr-xr-x
2024-02-27 09:52
klibc-utils
694
B
-rwxr-xr-x
2024-02-11 21:21
kmod
468
B
-rwxr-xr-x
2024-04-18 10:06
lvm2
661
B
-rwxr-xr-x
2024-07-01 18:44
mdadm
3.14
KB
-rwxr-xr-x
2024-07-29 08:06
ntfs_3g
304
B
-rwxr-xr-x
2026-07-11 15:55
overlayroot
688
B
-rwxr-xr-x
2025-08-05 17:14
plymouth
6.04
KB
-rwxr-xr-x
2025-02-25 05:47
resume
3.19
KB
-rwxr-xr-x
2025-02-07 09:55
sg3-utils
485
B
-rwxr-xr-x
2024-04-08 16:19
thermal
1.14
KB
-rwxr-xr-x
2025-01-08 10:19
thin-provisioning-tools
331
B
-rwxr-xr-x
2024-07-01 18:48
udev
2.59
KB
-rwxr-xr-x
2026-03-24 13:45
xfs
850
B
-rwxr-xr-x
2024-10-17 07:36
zz-busybox-initramfs
2.18
KB
-rwxr-xr-x
2024-08-13 13:42
Save
Rename
#!/bin/sh # # Copyright © 2006-2008 Martin F. Krafft <madduck@debian.org>, # 2012 Michael Tokarev <mjt@tls.msk.ru> # based on the scripts in the initramfs-tools package. # released under the terms of the Artistic Licence. # set -eu PREREQ="udev" prereqs() { echo "$PREREQ" } case "${1:-}" in prereqs) prereqs exit 0 ;; esac is_true() { case "${1:-}" in [Yy]es|[Yy]|1|[Tt]rue|[Tt]) return 0;; *) return 1;; esac } write() { local PREFIX; PREFIX=$1; shift echo "${PREFIX}: mdadm: $@" >&2 } info() { is_true ${VERBOSE:-false} && write I "$@" || : } warn() { write W "$@" } . /usr/share/initramfs-tools/hook-functions # copy the binary as early as possible copy_exec /sbin/mdadm /sbin copy_exec /sbin/mdmon /sbin # Copy udev rules, which udev no longer does for UDEV_RULE in 63-md-raid-arrays.rules 64-md-raid-assembly.rules; do for rules_folder in /lib/udev/rules.d /etc/udev/rules.d; do if [ -f $rules_folder/$UDEV_RULE ]; then mkdir -p $DESTDIR$rules_folder cp $rules_folder/$UDEV_RULE $DESTDIR$rules_folder/$UDEV_RULE fi done done # load raid modules in the initramfs for module in linear multipath raid0 raid1 raid456 raid5 raid6 raid10; do force_load $module done # load efivars for Intel RST IMSM, see Bug#962844 if [ -e /sys/firmware/efi ] then force_load efivarfs || true if ! ls /sys/firmware/efi/efivars/* > /dev/null 2>&1 then mount -t efivarfs -o rw,nosuid,nodev,noexec,relatime efivarfs /sys/firmware/efi/efivars || true fi fi # copy the mdadm configuration CONFIG=/etc/mdadm/mdadm.conf ALTCONFIG=/etc/mdadm.conf DESTMDADMCONF=$DESTDIR/etc/mdadm/mdadm.conf [ ! -f $CONFIG ] && [ -f $ALTCONFIG ] && CONFIG=$ALTCONFIG || : mkdir -p ${DESTDIR}/etc/mdadm if [ ! -f $CONFIG ]; then # there is no configuration file, so let's create one if /usr/share/mdadm/mkconf generate $CONFIG; then # all is well cp -p $CONFIG $DESTMDADMCONF info "auto-generated the mdadm.conf configuration file." else # we failed to auto-generate, so let the emergency procedure take over warn "failed to auto-generate the mdadm.conf file." warn "please read /usr/share/doc/mdadm/README.upgrading-2.5.3.gz ." fi else cp -p $CONFIG ${DESTDIR}/etc/mdadm sed -i '/^CREATE/s/^/#/' $DESTMDADMCONF if ! grep -q '^ARRAY' $CONFIG; then tmpfile="${DESTMDADMCONF}.tmp" if /usr/share/mdadm/mkconf > $tmpfile; then cp -p $tmpfile $DESTMDADMCONF rm -f $tmpfile else warn "failed to auto-generate temporary mdadm.conf file." fi else # make sure the configuration file knows about all running devices /sbin/mdadm --detail --scan | while read array device params; do uuid=${params#*UUID=}; uuid=${uuid%% *} if grep -qi "UUID=$uuid" $DESTMDADMCONF; then info "$uuid $device added to the mdadm.conf in the initramfs" fi done fi fi